Hi Jim.

On 12/22/2011 12:44 PM, Jim Meyering wrote:
> FYI, after updating to the latest tests/init.sh, I noticed new
> failures in vc-dwim's "make check".  Tracked it down to this:
> 
> From ed2ad641686263add14f2081d659da0cc3a76536 Mon Sep 17 00:00:00 2001
> From: Jim Meyering <meyer...@redhat.com>
> Date: Thu, 22 Dec 2011 12:42:32 +0100
> Subject: [PATCH] init.sh: avoid unwarranted test failure when using "set -x"
> 
> * tests/init.sh (compare): Ignore nonzero exit from compare_dev_null_.
> Otherwise, in a test script that uses "set -x" (like many in vc-dwim)
> a use like "compare exp out" would get evoke an unconditional failure.
> ---
>  ChangeLog     |    7 +++++++
>  tests/init.sh |    2 +-
>  2 files changed, 8 insertions(+), 1 deletions(-)
> 
> diff --git a/ChangeLog b/ChangeLog
> index d52e398..fe6ff6a 100644
> --- a/ChangeLog
> +++ b/ChangeLog
> @@ -1,3 +1,10 @@
> +2011-12-22  Jim Meyering  <meyer...@redhat.com>
> +
> +     init.sh: avoid unwarranted test failure when using "set -x"
>
s/"set -x"/"set -e"/ ?

> +     * tests/init.sh (compare): Ignore nonzero exit from compare_dev_null_.
> +     Otherwise, in a test script that uses "set -x" (like many in vc-dwim)
>
Ditto.

> +     a use like "compare exp out" would get evoke an unconditional failure.
> +
>  2011-12-21  Alfred M. Szmidt  <a...@gnu.org>
> 
>       bootstrap: fix it to honor $ACLOCAL_FLAGS once again
> diff --git a/tests/init.sh b/tests/init.sh
> index 19c0cf4..458a448 100644
> --- a/tests/init.sh
> +++ b/tests/init.sh
> @@ -304,7 +304,7 @@ fi
>  # Otherwise, propagate $? to caller: any diffs have already been printed.
>  compare ()
>  {
> -  compare_dev_null_ "$@"
> +  compare_dev_null_ "$@" || :
>
But this will clobber the value of $? by always setting it to zero, regardless
of what the return status of compare_dev_null_ was, no?

>    case $? in
>      0|1) return $?;;
>      *) compare_ "$@";;
> --
> 1.7.8.385.g1d1cb
> 

Regards,
  Stefano

Reply via email to